LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   ibus refuses to start on Slackware 14 (stable) (http://www.linuxquestions.org/questions/slackware-14/ibus-refuses-to-start-on-slackware-14-stable-4175483224/)

lensilvan 11-03-2013 02:35 AM

ibus refuses to start on Slackware 14 (stable)
 
Hi,
I have installed ibus and then ibus-anthy, both from the slackbuilds. However, when I try to run it by using
Code:

ibus-setup
, it respond by
Code:

Erreur de fragmentation
, which means segmentation fault or "segfault".

I am running MATE as the desktop environment. ibus appears on the top panel but I cannot configure it further.

I have tried to re-install ibus, but it still gives the same error. I have searched for similar cases, but in vain.
What should I do?

Habitual 11-04-2013 10:58 AM

wtf is "Slackware 14 (stable)"?

lensilvan 11-04-2013 04:02 PM

Not the "current" version of Slackware. Obvious.

Habitual 11-04-2013 07:04 PM

If it was "obvious" I wouldn't have to ask.

Good luck with that.

lensilvan 11-05-2013 12:32 AM

Well, if you have asked me a bit more politely than "wtf", I would recognize that I used the wrong term.

unSpawn 11-05-2013 01:35 AM

Let's try to keep it on topic please.

fsauer 11-05-2013 01:54 AM

Sorry, deleted, wrong thread....

lensilvan 11-05-2013 06:24 AM

Yes, I'm open to all suggestions in order to solve this very uncommon issue.

I thought that it was caused by scim. However, I removed scim, then reinstalled ibus but the issue still persists.

gnashley 11-05-2013 07:43 AM

"running MATE as the desktop" I would suggest that some library installed as part of mate has overwritten some standard slackware library -which then causes this issue. Where did you get MATE from and what packages did you install?

chess 11-05-2013 11:17 AM

Willy and I have not received any similar reports from people building MATE from our MSB project (or using our packages) but if you can determine there is an issue, please let us know.

chess 11-05-2013 11:25 AM

I just built and installed ibus from SBo on Slackware64 14.0 running MATE from our MSB project and ran ibus-setup and it seemed to work. A GUI popped up asking me to start the ibus-daemon, and when I selected yes, another gui poppoed up called "IBUS Preferences" and I was able to set some preferences.

lensilvan 11-05-2013 06:11 PM

Ok, so I proceeded as follow: I installed MATE from the Mate slackbuild project, installing every packages from base and extra. Then, assuming that ibus was not installed, I installed it from the regular slackbuilds and then I installed ibus-anthy. Running ibus-setup will only show as output "segmentation error".

Ibus was already installed with MATE? I just realized!
Then, should I remove the ibus-anthy that I installed from the slackbuild website, and then reinstall ibus from the MATE slackbuild project?

chess 11-05-2013 06:45 PM

No, we do not provide Ibus at MSB. Did you install Ibus and ibus-anthy and their dependencies in the right order? It looks like the order should be: pyxdg, then ibus, then ibus-anthy.

Does it work in other desktop environments like Xfce? Ibus and MATE are working perfectly together here. Can you tell us more about your environment? Are you running Slackware64?

lensilvan 11-06-2013 07:50 AM

Yes, I installed in the right order pyxdg, ibus and ibus-anthy. Then, as ibus refused to start, I reinstalled it and removed scim, then reinstalled again ibus but it didn't change anything.

I am running Slackware64, with both KDE and MATE as my environment, with KDE display manager. I tried to run ibus with KDE but I was unsuccessful again.

lensilvan 11-08-2013 04:53 AM

Up.


All times are GMT -5. The time now is 09:25 PM.